<?php

/**
 * Class NewTrustedShopsHead
 */
class NewTrustedShopsHeader extends NewTrustedShopsHeader_parent
{
    /**
     * Prepare data
     */
    public function prepare_data()
    {
        $this->initNewTrustedShopsHeader();
        parent::prepare_data();
    }

    /**
     *
     */
    protected function initNewTrustedShopsHeader()
    {
        $db = StaticGXCoreLoader::getDatabaseQueryBuilder();

        $installed = (bool) gm_get_conf('MODULE_CENTER_NEWTRUSTEDSHOPS_INSTALLED');

        if ($installed === true) {
            $languageCode = $_SESSION['language_code'];
            $result = $db->select('trustedshops_id')->from('trustedshops_configuration')->where('trustedshops_locale', $_SESSION['language_code'])->get()->row_array();

            if(isset($result['trustedshops_id']) and empty($result['trustedshops_id']) === false) {
                $trustedshopsTrustBadgeCodeActive = $db->select('trustbadge_active')->from('trustedshops_configuration')->where('trustedshops_locale', $languageCode)->get()->row_array();
                $trustedshopsTrustBadgeCode       = $db->select('trustbadge_code')->from('trustedshops_configuration')->where('trustedshops_locale', $languageCode)->get()->row_array();

                $trustedshopsTrustBadgeCode = htmlspecialchars_decode($trustedshopsTrustBadgeCode["trustbadge_code"]);

                $this->content_array['trustedshops_trustbadge_active'] = $trustedshopsTrustBadgeCodeActive['trustbadge_active'];
                $this->content_array['trustedshops_trustbadge_code']   = $trustedshopsTrustBadgeCode;
            }
        }
    }
}
